spamprobe (1.4d-18) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 9 to 13.
  * Fix day-of-week for changelog entry 1.4d-1.
  * Added 1000-autoconf-reorder.patch to fix build problem.
  * Dropped obsolete Debian NEWS file.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Nov 2024 21:36:15 +0100

spamprobe (1.4d-17) unstable; urgency=medium

  * QA Upload.
  * Patch: Add missing return statements, fixing crashes parsing JPEG
    attachments. (Closes: #1037422)
  * Clean built manpage (and remove unnecessary manpage patch, we re-build it
    from XML). (Closes: #1047626)
  * Apply miscellaneous patches fixing warnings and seeding the PRNG
    statically. (Closes: #1015294)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Sep 2023 12:15:17 +0530

spamprobe (1.4d-16) unstable; urgency=medium

  * QA upload.
  * Add debconf translations into debian/copyright.
  * Update Spanish Debconf translation.
    Thanks Camaleón. (Closes: #1026788)

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 20 Feb 2023 13:42:05 +0100

spamprobe (1.4d-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 11.  (Closes: #984344)
  * Set Rules-Requires-Root: no.
  * Fix watch file.
  * Fix typos.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Oct 2021 08:40:31 +0200

spamprobe (1.4d-14) unstable; urgency=medium

  * QA upload.
  * Add support for giflib 5, thanks to Matthias Klose.  (Closes: 803295)
  * Updated translation of debconf template:
    + Portuguese, by Pedro Ribeiro.  (Closes: #767404)
    + Brazilian Portuguese, by Adriano Rafael Gomes.  (Closes: #801353)
    + Swedish, by Martin Bagge and Anders Jonsson.  (Closes: #781682)
  * Run debconf-updatepo during clean.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 08:25:00 +0100

spamprobe (1.4d-13) unstable; urgency=medium

  * QA upload.
  * Acknowledge non-maintainer upload. Thanks to Ondřej Surý
  * Updated translation of debconf template:
    + French, by Christian Perrier (Closes: #738805)
    + Danish, by Joe Dalton (Closes: #739763)
    + Japanese, by victory (Closes: #740363)
    + German, by Helge Kreutzmann (Closes: #742344)
    + Russian, by Yuri Kozlov (Closes: #743422)
    + Italian, by Luca Monducci (Closes: #759864)
    + Dutch, by Frans Spiesschaert (Closes: #764183)
  * Convert copyright to DEP-5 format
  * Convert package to source format 3.0 (quilt)
    + Add patches for changes that had previously been made
  * Wrap-and-sort debian/control
  * Use debhelper compat 9
  * Bump standards version to 3.9.5, no further changes necessary

 -- Daniel Lintott <daniel@serverb.co.uk>  Fri, 19 Sep 2014 12:40:01 +0100

spamprobe (1.4d-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update build depends to depend on generic libdb-dev to allow
    db5.1->db5.3 transition
  * Update templates to Berkeley DB 5.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 15:50:03 +0100

spamprobe (1.4d-12) unstable; urgency=low

  * Orphaning this package.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 20 Apr 2013 16:19:12 +0200

spamprobe (1.4d-11) unstable; urgency=low

  * Fix FTBFS with gcc 4.7 by using “this->” when needed
    Patch from Cyril Brulebois (Closes: #667376).
  * Bumped declaration of Debian policy compliance to 3.9.3 (nothing to do).

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 10 Apr 2012 22:18:24 +0200

spamprobe (1.4d-10) unstable; urgency=low

  * Updated translation of debconf template:
    * Dutch, by Jeroen Schot (closes: #623568)
    * Danish, by Joe Hansen (closes: #645817 #608427)
    * Japanese, by Hideki Yamane (closes: #645434)
    * Czech, by Miroslav Kure (closes: #645855)
    * Brazilian Portuguese, by Adriano Rafael Gomes (closes: #646186)
    * Portuguese, by Rui Branco (closes: #646397)
    * Spanish, by Omar Campagne (closes: #646576)
  * Now build-depending on libjpeg-dev instead of libjpeg62-dev
    to prepare libjpeg8 transition (closes: #644807)
  * Idem for libpng-dev.

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 31 Oct 2011 11:09:00 +0100

spamprobe (1.4d-9) unstable; urgency=low

  * Updated translations of debconf template:
    * French, by Christian Perrier (closes: #640870)
    * Russian, by Yuri Kozlov (closes: #641073)
    * Swedish, by Martin Bagge (closes: #641238)
    * German, by Helge Kreutzmann (closes: #641841)
  * Integrated patch to make spamprobe compile with libpng1.5
    (closes: #641890)

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 11 Oct 2011 14:25:57 +0200

spamprobe (1.4d-8) unstable; urgency=low

  * Upgraded to BerkeleyDB 5.1 (closes: #621438)
  * Updated doc and debconf template accordingly.
  * Added recommended build-arch and build-indep targets in debian/rules.
  * fixed a grammatical error in NEWS.Debian
  * Bumped declaration of Debian policy compliance to 3.9.2 (nothing to do).

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 04 Sep 2011 22:05:37 +0200

spamprobe (1.4d-7) unstable; urgency=low

  * Fixed spelling error in man page (closes: #580950)
  * Updated translations of debconf template:
     * French, by Christian Perrier (closes: #581183)
     * German, by Helge Kreutzmann (closes: #581213)
     * Russian, by Yuri Kozlov (closes: #581403)
     * Vietnamese, by Clytie Siddall (closes: #581502)
     * Italian, by Luca Monducci (closes: #581755)
     * Portugese, by Pedro Ribeiro (closes: #581816)
     * Czech, by Miroslav Kure (closes: #581992)
     * Brazilian Portugese, by Adriano Rafael Gomes (closes: #582112)
     * Japanese, by Hideki Yamane (closes: #582304)
     * Spanish, by Omar Campagne (closes: #582629)
     * Swedish, by Martin Bagge (closes: #582700)

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 24 May 2010 14:38:10 +0200

spamprobe (1.4d-6) unstable; urgency=low

  * Now build-depends on libgif-dev instead of obsolete libungif4-dev
    (closes: #575862)
  * New Spanish debconf template translation (closes: #579204)
  * Switched to libdb 4.8 (closes: #548488)
  * Updated debconf master template for the libdb upgrade.
  * Package maintainer scripts no longer ignore errors
  * Added ${misc:Depends} on binary package dependency list
  * Bumped debhelper compat version from 4 to 7
  * Added debian/source/format file, but still using 1.0 format for now
  * Added Homepage field in control file
  * Compliant with Debian policy 3.8.3 (no change)
  * Fixed portability issue of hash database on amd64 (closes: #564643)
    Patch from Jem Berkes and Francis Russell

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 09 May 2010 10:20:33 +0200

spamprobe (1.4d-5) unstable; urgency=low

  * Updated Swedish translation of debconf template by Martin Bagge.
    (closes: #491958)

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 09 Aug 2008 16:17:15 +0200

spamprobe (1.4d-4) unstable; urgency=low

  * Fixed man page to give correct description of the dump sorting
    command lines. 'sort by spamness' and 'sort by goodness' were inverted.
    (closes: #453772)
  * Corrected typo in man page : 'pipeing' becomes 'piping'.
    (closes: #453773)
  * Japanese translation of debconf template by Hideki Yamane
    (closes: #463312)
  * Debian policy compliance upgraded to 3.7.3.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 11 May 2008 21:35:42 +0200

spamprobe (1.4d-3) unstable; urgency=low

  [ Nicolas Duboc ]
    * Fixed the NEWS.Debian file syntax.
    * Make spamprobe compile with (the current snapshot of) GCC 4.3
      (closes: #417706)
    * Renamed the debconf template to prevent confusion with template
      used in 0.9h-2.

  [ Christian Perrier ]
    * Debconf templates and debian/control reviewed by the debian-l10n-
      english team as part of the Smith review project. Closes: #444802
    * [Debconf translation updates]
    * Czech. Closes: #445028
    * Galician. Closes: #445055
    * Vietnamese. Closes: #445131
    * Tamil. Closes: #445252
    * Finnish. Closes: #445697
    * Basque. Closes: #445952
    * Italian. Closes: #446156
    * German. Closes: #446279
    * Portuguese. Closes: #446303
    * Russian. Closes: #446654
    * French. Closes: #446979
    * Brazilian Portuguese. Closes: #447030

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 06 Nov 2007 21:14:23 +0100

spamprobe (1.4d-2) unstable; urgency=low

  * Fixed the po files for debconf templates after template change
    in 1.4d-1.
  * Added po-debconf template translations
     - german translation by Matthias Julius (closes: #412773)
     - portugueuse translation by Ricardo Silva (closes: #414928)

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 10 Sep 2007 21:50:04 +0200

spamprobe (1.4d-1) unstable; urgency=low

  * New upstream release.
  * Build with PNG, GIF and JPEG support.
  * Acknowledge NMU:
    - add watch file
    - switch to libdb4.6 (closes: #421954)
    - bump to Standards-Version 3.7.2
  * Add a debconf note about needed database upgrade (closes: #440939)
  * Slightly updated package description.

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 10 Sep 2007 17:56:54 +0200

spamprobe (1.4b-2.1) unstable; urgency=low

  * NMU
  * Bump to Standards-Version 3.7.2.
  * Switch to db4.6.  closes: #421954.
  * Add watch file.

 -- Clint Adams <schizo@debian.org>  Fri, 31 Aug 2007 14:14:40 -0400

spamprobe (1.4b-2) unstable; urgency=low

  * Made spamprobe compile with g++ 4.1 (closes: #357478)
    (needed explicit inclusion of <cassert>)

 -- Nicolas Duboc <nduboc@debian.org>  Wed, 22 Feb 2006 12:53:40 +0100

spamprobe (1.4b-1) unstable; urgency=low

  * New upstream release (closes: #342596, #352501, #353685)
  * Corrected changelog file to include the license declaration
  * Added Swedish translation of debconf template by Daniel Nylander.
    (closes: #332964)
  * Build depends on libungif4-dev (for scanning of GIF attachments)
  * Actually include the debian/NEWS file.
  * Build man page in 'build' target (and not 'install')
  * Removed the README.txt because the man page is a better reference
    for the users.
  * Updated description to advertise the GIF feature.
  * Updated the man page.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 19 Feb 2006 14:16:42 +0100

spamprobe (1.2a-1) unstable; urgency=low

  * New upstream release.
  * Debian policy compliance upgraded to 3.6.2.
  * Removed dpatch system which was not used since previous version.
  * Added Vietnamese translation of debconf template by Clytie Siddall.
    (closes: #318699)
  * Now depends on debconf | debconf-2.0.
  * Removed technical detail ("C++") from the package description.
  * Update of documentation (docbook man page and Debian files).
  * Fixed bug preventing relative path with -d option. (closes: #246312)

 -- Nicolas Duboc <nduboc@debian.org>  Tue,  2 Aug 2005 12:37:56 +0200

spamprobe (1.0a-1) unstable; urgency=low

  * New upstream release (closes: #286313)
  * New maintainer (closes: #298368)
  * Acknowledging NMU changes (closes: #246794, #258703)
  * Removed 10_configure.in_db4.2.dpatch and dependency on automake since
    Siggy's patch has been integrated upstream
  * spamprobe.db: in "DATABASE MAINTAINANCE" section, the export/import
    sample now use -d option with absolute path to workaround bug
    #246312

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 10 Mar 2005 22:24:05 +0100

spamprobe (0.9h-2.1) unstable; urgency=low

  * Non-maintainer upload for fixing longstanding l10n issues
  * Translations:
    - French added. Closes: #246794
    - Japanese added. Closes: #258703
    - Danish added. Thanks to Morten Brix Pedersen
    - Russian added. Thanks to Yuri Kozlov
    - Basque added. Thanks to Piarres Beobide Egana
    - Dutch added. Thanks to Luk Claes
  * Lintian fixes:
    - Remove initial article in package description

 -- Christian Perrier <bubulle@debian.org>  Thu, 20 Jan 2005 06:56:20 +0100

spamprobe (0.9h-2) unstable; urgency=medium

  * Build-depend on xmlto when using it (closes: #242699)!
  * README.Debian: prominent notice regarding -c.
  * Debconf template warning about Berkeley DB upgrade (closes: #242630).
  * Add empty postinst to force db_update warning even when installing
    with dpkg.

 -- Siggy Brentrup <bsb@debian.org>  Thu,  8 Apr 2004 11:39:14 +0200

spamprobe (0.9h-1) unstable; urgency=low

  * New upstream release (Closes: #234682).
  * New maintainer (Closes: #235887).
  * debian/rules: Remove cdbs until dpatch is supported (Bug #241504).
  * Build depend on dpatch, docbook-to-man, automake1.8.
  * 10_configure.in_db4.2.dpatch: make selection of Berkeley DB version
    depending on which libdb*-dev package is installed work.
  * debian/README.Debian: provide some packaging info.
  * debian/spamprobe.db: compile usable man page from upstream version.

 -- Siggy Brentrup <bsb@debian.org>  Tue,  6 Apr 2004 20:22:27 +0200

spamprobe (0.9e-1) unstable; urgency=low

  * New upstream release.
  * debian/rocks: Actually remove this time.

 -- Eric Dorland <eric@debian.org>  Mon, 22 Sep 2003 23:15:14 -0400

spamprobe (0.9b-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Use cdbs.
  * debian/control:
    - Build-Depend on cdbs.
    - Upgrade Standard-Version to 3.6.1.
  * debian/rocks: Remove, no longer necessary.

 -- Eric Dorland <eric@debian.org>  Sun, 24 Aug 2003 16:40:48 -0400

spamprobe (0.8b-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Update to version 1.52 of CBS.
  * spamprobe.1: Add .br to procmail example. (Closes: #180376)

 -- Eric Dorland <eric@debian.org>  Mon, 10 Feb 2003 01:41:57 -0500

spamprobe (0.8-1) unstable; urgency=low

  * New upstream release.
  * Update to version 1.49 of Colin's Build System.

 -- Eric Dorland <eric@debian.org>  Sun,  5 Jan 2003 20:28:12 -0500

spamprobe (0.7g-2) unstable; urgency=low

  * debian/docs: Add maildrop doc.
  * debian/control: Add build-dep on libdb3-dev. (Closes: #174015)

 -- Eric Dorland <eric@debian.org>  Mon, 23 Dec 2002 01:17:03 -0500

spamprobe (0.7g-1) unstable; urgency=low

  * Initial Release.

 -- Eric Dorland <eric@debian.org>  Thu, 12 Dec 2002 01:36:07 -0500
